org.apache.myfaces.trinidad.change

## Class ChangeManagerWrapper

- java.lang.Object
- - org.apache.myfaces.trinidad.change.ChangeManager
  - - org.apache.myfaces.trinidad.change.ChangeManagerWrapper

-     public abstract class ChangeManagerWrapper
      extends ChangeManager

  Base class for ChangeManager implementations that wrap other ChangeManagers.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.myfaces.trinidad.change.ChangeManager

      `ChangeManager.ChangeOutcome, ChangeManager.NotificationOutcome`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ChangeManagerWrapper()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addComponentChange(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component, ComponentChange change)` Delegates the addComponentChange() implementation to the wrapped ChangeManager.
    `void` | `addDocumentChange(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component, DocumentChange change)` Delegates the addDocumentChange() implementation to the wrapped ChangeManager.
    `ChangeManager.ChangeOutcome` | `addDocumentChangeWithOutcome(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent uiComponent, DocumentChange change)` Delegates the addDocumentChangeWithOutcome() implementation to the wrapped ChangeManager.
    `void` | `applyComponentChangesForCurrentView(javax.faces.context.FacesContext context)` Delegates the applyComponentChangesForCurrentView() implementation to the wrapped ChangeManager.
    `void` | `applyComponentChangesForSubtree(javax.faces.context.FacesContext context, javax.faces.component.NamingContainer root)` Delegates the applyComponentChangesForSubtree() implementation to the wrapped ChangeManager.
    `void` | `applySimpleComponentChanges(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)` Delegates the applySimpleComponentChanges() implementation to the wrapped ChangeManager.
    `ChangeManager.NotificationOutcome` | `documentChangeApplied(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component, ComponentChange componentChange)` Delegates the documentChangeApplied() implementation to the wrapped ChangeManager.
    `protected abstract ChangeManager` | `getWrappedChangeManager()` Returns the wrapped ChangeManager.
    `AttributeComponentChange` | `replaceAttributeChangeIfPresent(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent uiComponent, AttributeComponentChange attributeComponentChange)` Delegates the replaceAttributeChangeIfPresent() implementation to the wrapped ChangeManager.

    - ### Methods inherited from class org.apache.myfaces.trinidad.change.ChangeManager

      `createDocumentChange, registerDocumentFactory`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ChangeManagerWrapper

          public ChangeManagerWrapper()

  - ### Method Detail

    - #### addComponentChange

          public void addComponentChange(javax.faces.context.FacesContext context,
                                javax.faces.component.UIComponent component,
                                ComponentChange change)

      Delegates the addComponentChange() implementation to the wrapped ChangeManager.
      Specified by:
        `addComponentChange` in class `ChangeManager`
      See Also:
        `DocumentChangeFactory`, `#documentChangeApplied(FacesContext, UIComponent, ComponentChange`

    - #### addDocumentChange

          public void addDocumentChange(javax.faces.context.FacesContext context,
                               javax.faces.component.UIComponent component,
                               DocumentChange change)

      Delegates the addDocumentChange() implementation to the wrapped ChangeManager.
      Overrides:
        `addDocumentChange` in class `ChangeManager`
      See Also:
        `#addDocumentChangeWithOutcome(FacesContext, UIComponent, DocumnentChange)`

    - #### applyComponentChangesForCurrentView

          public void applyComponentChangesForCurrentView(javax.faces.context.FacesContext context)

      Delegates the applyComponentChangesForCurrentView() implementation to the wrapped ChangeManager.
      Overrides:
        `applyComponentChangesForCurrentView` in class `ChangeManager`
      Parameters:
        `context` - The FacesContext instance for the current request.

    - #### applyComponentChangesForSubtree

          public void applyComponentChangesForSubtree(javax.faces.context.FacesContext context,
                                             javax.faces.component.NamingContainer root)

      Delegates the applyComponentChangesForSubtree() implementation to the wrapped ChangeManager.
      Overrides:
        `applyComponentChangesForSubtree` in class `ChangeManager`
      Parameters:
        `context` - The FacesContext instance for the current request.
        `root` - The NamingContainer that contains the component subtree to which ComponentChanges should be applied. If null, all changes are applied.

    - #### applySimpleComponentChanges

          public void applySimpleComponentChanges(javax.faces.context.FacesContext context,
                                         javax.faces.component.UIComponent component)

      Delegates the applySimpleComponentChanges() implementation to the wrapped ChangeManager.
      Overrides:
        `applySimpleComponentChanges` in class `ChangeManager`
        `component` - Component to apply the simple changes to

    - #### documentChangeApplied

          public ChangeManager.NotificationOutcome documentChangeApplied(javax.faces.context.FacesContext facesContext,
                                                                javax.faces.component.UIComponent component,
                                                                ComponentChange componentChange)

      Delegates the documentChangeApplied() implementation to the wrapped ChangeManager.
      Overrides:
        `documentChangeApplied` in class `ChangeManager`
        `component` - The target UIComponent instance for which the DocumentChange was applied
        `componentChange` - The ComponentChange for which an equivalent DocumentChange was applied
      Returns:
        The outcome of handling this notification

    - #### addDocumentChangeWithOutcome

          public ChangeManager.ChangeOutcome addDocumentChangeWithOutcome(javax.faces.context.FacesContext facesContext,
                                                                 javax.faces.component.UIComponent uiComponent,
                                                                 DocumentChange change)

      Delegates the addDocumentChangeWithOutcome() implementation to the wrapped ChangeManager.
      Overrides:
        `addDocumentChangeWithOutcome` in class `ChangeManager`
      Parameters:
        `facesContext` - The FacesContext instance for the current request
        `uiComponent` - The UIComponent instance for which the DocumentChange is to be added
        `change` - The DocumentChange to be added
      Returns:
        The outcome of adding the document change
      See Also:
        `ChangeManager.ChangeOutcome`

    - #### replaceAttributeChangeIfPresent

          public AttributeComponentChange replaceAttributeChangeIfPresent(javax.faces.context.FacesContext facesContext,
                                                                 javax.faces.component.UIComponent uiComponent,
                                                                 AttributeComponentChange attributeComponentChange)

      Delegates the replaceAttributeChangeIfPresent() implementation to the wrapped ChangeManager.
      Overrides:
        `replaceAttributeChangeIfPresent` in class `ChangeManager`
      Returns:
        the old change instance

    - #### getWrappedChangeManager

          protected abstract ChangeManager getWrappedChangeManager()

      Returns the wrapped ChangeManager.

Copyright © 2001-2017 The Apache Software Foundation. All Rights Reserved.